import compile from './compile';

export default compile( `<!doctype html>
<html>
<head>
	<meta charset='utf-8'>
	<meta name='viewport' content='width=device-width, user-scalable=no'>

	<title>gobble error</title>

	<style>
		body {
			text-align: center;
			font-family: 'Helvetica Neue', arial, sans-serif;
			color: #666;
			font-weight: 200;
			line-height: 1.4;
			padding: 0 1em;
			max-width: 72em;
			margin: 0 auto;
		}

		h1 {
			color: rgb(150,0,0);
			font-weight: 100;
			font-size: 6em;
			margin: 0;
		}

		p {
			margin: 0 0 1em 0;
		}

		.error-message, .stack {
			padding: 2em 4em;
			font-family: 'Inconsolata', 'Source Code Pro', 'Consolas', 'Monaco', monospace;
			text-align: left;
		}

		.error-message a, .stack a {
			color: inherit;
			word-break: break-all;
		}

		.error-message {
			background-color: #333;
			color: white;
			margin: 0;
		}

		.error-message span {
			word-break: break-all;
		}

		.stack {
			margin: 0;
			padding: 2em 4em;
			background-color: #555;
			color: white;
		}
	</style>
</head>

<body>
	<h1>Oops!</h1>

	<p>Something appears to have gone wrong with the <strong>{{id}}</strong> node:</p>

	<p class='error-message'>{{message}}</p>

	<ul class='stack'>{{stack}}</ul>
</body>
</html>` );
